Sort / limit size of mygroups displayed in profile page

Bug #1304053 reported by Robert Lyon on 2014-04-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Robert Lyon

Bug Description

From forum post https://mahara.org/interaction/forum/topic.php?id=6225&offset=0&limit=10#post26430

I have a lecturer who administrates around 25 groups per year and is now finishing off her 3rd year of students, with the 4th about to start in September.

As you can guess, her list of My Groups in the profile block is getting very unwieldy and unmanageable.

We have changed the sort order so that the newest groups are at the top, but it would be better if we could manage what shows in the block (or as an admin, have a checkbox to say display group) to only show the current year's groups.

Has anyone come across this problem and if so, how did you manage it?

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3208

Robert Lyon (robertl-9) on 2014-04-07
Changed in mahara:
status: New → In Progress
Robert Lyon (robertl-9) wrote :

I've written patches to allow for the reordering and/or limiting of the users displayed in the mygroup block on the profile page and the mygroup sideblock.

https://reviews.mahara.org/#/c/3207

https://reviews.mahara.org/#/c/3208

To set the values one needs to edit their profile page and edit the config for the mygroup block.

These values (if exist) will be used for sorting / limiting the sideblock also

Reviewed: https://reviews.mahara.org/3207
Committed: http://gitorious.org/mahara/mahara/commit/4fcb89bc1e1a52dd158f9d0c4211cd6c24d5e187
Submitter: Yuliya Bozhko (<email address hidden>)
Branch: master

commit 4fcb89bc1e1a52dd158f9d0c4211cd6c24d5e187
Author: Robert Lyon <email address hidden>
Date: Tue Apr 8 09:29:25 2014 +1200

Adding config to allow the sorting/limiting of groups displayed (Bug #1304053)

Now the mygroup block can be sorted and limited to restrict the number
of groups to display.

Also added pagination to make the restriction of groups displayed
more user friendly.

Change-Id: I4c6174a30244fd266ac3ca4806c9f61606e69759
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3208
Committed: http://gitorious.org/mahara/mahara/commit/b8c8b505501cf0ac2e1d7c225b04296bcbbc9a35
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit b8c8b505501cf0ac2e1d7c225b04296bcbbc9a35
Author: Robert Lyon <email address hidden>
Date: Tue Apr 8 10:04:31 2014 +1200

Sorting / limiting the Mygroups sideblock (Bug #1304053)

Using the settings that the user has in their account settings.

Also fixing up group_get_user_groups() so that it can return count
before any limiting is applied.

Change-Id: I66318b9d739530b121e5a14928326ef4bdf2f880
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3464

Robert Lyon (robertl-9) on 2014-07-14
Changed in mahara:
status: In Progress → Fix Committed

Reviewed: https://reviews.mahara.org/3462
Committed: http://gitorious.org/mahara/mahara/commit/1a9a4081a8bff0c9f364340bcd098f69a32fe59b
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 1a9a4081a8bff0c9f364340bcd098f69a32fe59b
Author: Son Nguyen <email address hidden>
Date: Fri Jun 27 14:30:49 2014 +1200

Refactor the function group_get_user_groups(). Bug 1304053

- Add function comment,
- Make it compatible to old calls
- Sort the list out of the queries to reduce the MYSQL queries
- Set the sort default value when displaying the my group side bar

Change-Id: I50decadcebe8a5cb38706809d70a784e6694c46d
Signed-off-by: Son Nguyen <email address hidden>

tags: added: nominatedfeature
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3464
Committed: http://gitorious.org/mahara/mahara/commit/6f91c7245a83b4d10e0f7dd2b02b2c3125770d3a
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 6f91c7245a83b4d10e0f7dd2b02b2c3125770d3a
Author: Robert Lyon <email address hidden>
Date: Mon Jun 30 11:27:24 2014 +1200

Allowing the change of sort order update the display (Bug #1304053)

When changing the sort order config variable on account/index.php
we need to force the page to refresh to see the changes.

Change-Id: Iaf63ac3668b28177938243053992d23c11469c93
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2014-09-18
Changed in mahara:
status: Fix Committed → In Progress
Robert Lyon (robertl-9) wrote :

a lang string needs fixing

Reviewed: https://reviews.mahara.org/3705
Committed: http://gitorious.org/mahara/mahara/commit/9726a6612ca765bb5c98a8a6f64fba65f386e7c6
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 9726a6612ca765bb5c98a8a6f64fba65f386e7c6
Author: Robert Lyon <email address hidden>
Date: Thu Sep 18 15:22:42 2014 +1200

Adjusting lang string (Bug #1304053)

Signed-off-by: Robert Lyon <email address hidden>
Signed-off-by: Aaron Wells <email address hidden>

Change-Id: I6b1dc6622d98e1fb75a53b0a8c0fa6ea11d72518

Robert Lyon (robertl-9) on 2014-10-01
Changed in mahara:
status: In Progress → Fix Committed

Reviewed: https://reviews.mahara.org/3743
Committed: http://gitorious.org/mahara/mahara/commit/05b2655c0ad9b0135e5ce4fd60d2956a9fe09276
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 05b2655c0ad9b0135e5ce4fd60d2956a9fe09276
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Sat Oct 4 17:13:33 2014 +1300

Correct new lang strings (Bug 1304053 and Bug 892959)

Correct new group lang strings as well as others
that needed to be changed.

Change-Id: If652adcef6a2d9668dd008d4ea250ea19b1c75e8
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Reviewed: https://reviews.mahara.org/3761
Committed: http://gitorious.org/mahara/mahara/commit/5c186575eeb4b10f6f1dca9daa50032042b217eb
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit 5c186575eeb4b10f6f1dca9daa50032042b217eb
Author: Kristina D.C. Hoeppner <email address hidden>
Date: Sat Oct 4 17:13:33 2014 +1300

Correct new lang strings (Bug 1304053 and Bug 892959)

Correct new group lang strings as well as others
that needed to be changed.

Change-Id: If652adcef6a2d9668dd008d4ea250ea19b1c75e8
Signed-off-by: Kristina D.C. Hoeppner <email address hidden>

Robert Lyon (robertl-9) on 2014-10-08
Changed in mahara:
milestone: 1.10.0 → 1.11.0
Aaron Wells (u-aaronw) on 2014-10-20
no longer affects: mahara/1.10
Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers